#include <vcl.h>
//---------------------------------------------------------------------------
/*****************************************************************************
Procedura wywietlajca komunikat bdu
*****************************************************************************/
void ShowErr(DWORD ErrNum)
{
  AnsiString sErr;

  switch (ErrNum)
  {
    case ERROR_UNEXP_NET_ERR:
      sErr = "Nieokrelony bd";
      break;

    case ERROR_CRC:
      sErr = "Bd bloku kontrolnego wiadomoci.";
      break;

    case ERROR_INVALID_DATA:
      sErr = "Adres na parametr jest wyzerowany.";
      break;

    case ERROR_TOO_MANY_OPEN_FILES:
      sErr = "Za duo otwartych TeleTokenw.";
      break;

    case ERROR_UNKNOWN_PORT:
      sErr = "Nie znaleziono portu USB.";
      break;

    case ERROR_NOT_FOUND:
      sErr = "TeleToken nie znaleziony.";
      break;

    case ERROR_TIMEOUT:
      sErr = "Przekroczenie czasu trwania operacji lub sesji.";
      break;

    case ERROR_ACCOUNT_EXPIRED:
      sErr = "Sesja nie zostaa otwarta lub wygasa.";
      break;

    case ERROR_ALREADY_INITIALIZED:
      sErr = "Sesja jest ju otwarta.";
      break;

    case ERROR_GEN_FAILURE:
      sErr = "TeleToken uszkodzony";
      break;

    case ERROR_NOT_SUPPORTED:
      sErr = "Rozkaz niezaimplementowany.";
      break;

    case ERROR_INVALID_BLOCK:
      sErr = "Adres z poza zakresu";
      break;

    case ERROR_SET_NOT_FOUND:
      sErr = "Nie da si ustawi ochrony przed zapisem";
      break;

    case ERROR_INVALID_PASSWORD:
      sErr = "Haso nie ma uprawnie do wykonania podanej operacji.";
      break;

    case ERROR_ACCESS_DENIED:
      sErr = "Operacja niedozwolona (ustawiona ochrona przed zapisem, zakaz otczytu itp.)";
      break;

    case ERROR_COUNTER_TIMEOUT:
      sErr = "Przekroczona dozwolona iloc operacji.";
      break;

    case ERROR_NOT_ENOUGH_MEMORY:
      sErr = "Brak pamici na wykonanie operacji.";
      break;

    case ERROR_DLL_NOT_FOUND:
      sErr = "Brak biblioteki TeleToken.dll";
      break;

    default:
      sErr = "Wystpi bd numer : " + IntToStr(ErrNum);
  };
  MessageDlg(sErr, mtError, TMsgDlgButtons() << mbOK, NULL);
};
//---------------------------------------------------------------------------
BYTE CheckErr(DWORD ErrNum)
{
  if (ErrNum!=ERROR_SUCCESS)
  {
    ShowErr(ErrNum);
    return (1);
  };
  return (0);
};
//---------------------------------------------------------------------------
