//---------------------------------------------------------------------------

#ifndef RootH
#define RootH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <AppEvnts.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TfrmRoot : public TForm
{
__published:	// IDE-managed Components
  TApplicationEvents *ApplicationEvents1;
  TMemo *Memo;
  TButton *btOpen;
  TButton *btClose;
  TButton *btRAMWrite;
  TButton *btMemWrite;
  TButton *btMemRead;
  TButton *btMemWProtect;
  TButton *btMemProtect;
  TButton *btCounterWrite;
  TButton *btGetFeature;
  TButton *btRAMRead;
  TButton *btCounterRead;
  TButton *btCounterIncRead;
  TButton *btCounterDecRead;
  TButton *btCounterConfigWrite;
  TButton *btCounterConfigSet;
  TButton *btCounterConfigClear;
  TButton *btPassWrite;
  TButton *btPassConfigWrite;
  TButton *btPassConfigSet;
  TButton *PassConfigClear;
  TButton *btLosuj;
  TButton *btCounterIncEncryptRead;
  TButton *btEncrypt;
  TButton *btDecrypt;
  TButton *btDecryptBlock;
  TButton *btEncryptBlock;
  TOpenDialog *OpenDlg;
  void __fastcall ApplicationEvents1Message(tagMSG &Msg, bool &Handled);
  void __fastcall btLosujClick(TObject *Sender);
  void __fastcall btGetFeatureClick(TObject *Sender);
  void __fastcall btOpenClick(TObject *Sender);
  void __fastcall btCloseClick(TObject *Sender);
  void __fastcall btRAMReadClick(TObject *Sender);
  void __fastcall btRAMWriteClick(TObject *Sender);
  void __fastcall btMemWriteClick(TObject *Sender);
  void __fastcall btMemReadClick(TObject *Sender);
  void __fastcall btMemWProtectClick(TObject *Sender);
  void __fastcall btMemProtectClick(TObject *Sender);
  void __fastcall btCounterReadClick(TObject *Sender);
  void __fastcall btCounterIncReadClick(TObject *Sender);
  void __fastcall btCounterDecReadClick(TObject *Sender);
  void __fastcall btCounterWriteClick(TObject *Sender);
  void __fastcall btCounterConfigWriteClick(TObject *Sender);
  void __fastcall btCounterConfigSetClick(TObject *Sender);
  void __fastcall btCounterConfigClearClick(TObject *Sender);
  void __fastcall btPassWriteClick(TObject *Sender);
  void __fastcall btPassConfigWriteClick(TObject *Sender);
  void __fastcall btPassConfigSetClick(TObject *Sender);
  void __fastcall PassConfigClearClick(TObject *Sender);
  void __fastcall btCounterIncEncryptReadClick(TObject *Sender);
  void __fastcall btEncryptClick(TObject *Sender);
  void __fastcall btDecryptClick(TObject *Sender);
  void __fastcall btEncryptBlockClick(TObject *Sender);
  void __fastcall btDecryptBlockClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
  int __fastcall OpenSession();
  int __fastcall CloseSession();
public:		// User declarations
        __fastcall TfrmRoot(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmRoot *frmRoot;
//---------------------------------------------------------------------------
#endif
