#include "..\ExCommon\TokenID.h"
#include "..\ExCommon\GlobalDef.c"
#include "..\ExCommon\Print16.c"

int main(int argc, char * argv[])
{
    #include "..\ExCommon\MainDef.c"

    DWORD   n;
    BYTE tTmp[16];
    ZeroMemory(PassTbl,16*PASS_NO);
    n=0;
    while (n<PASS_NO)
        {
        sprintf(PassTbl+(n*16),"Pass%d",n);
        n++;
        };

    #include "..\ExCommon\Prolog.c"

    // zainicjowanie OutKey
    OutKey=(GetTickCount()&0xFFFFFF00)|0xF00;

    // szyfrowany odczyt licznikw TeleTokenu
    printf("Odczyt licznikw TeleTokenu:\n");

    n=0;
    while (n<TokenInfoTbl[TVTTTI_COUNTERS])
        {
        ZeroMemory(OutDataA,16);
        ZeroMemory(OutDataB,16);
        ZeroMemory(InDataA,16);
        ZeroMemory(InDataB,16);

        OutKey++;                                                           // zwikszenie licznika kluczy

        OutDataB[TVTTD_CMD]=TVTTC_CNT_INC_ENCRYPT_READ;                     // rozkaz zwikszenia i odczytu zaszyfrowanego licznika TeleTokenu
        OutDataB[TVTTD_PARAM1]=(BYTE)n;                                     // numer licznika do odczytania
        OutDataB[TVTTD_PARAM2]=(BYTE)(n*3)%TokenInfoTbl[TVTTTI_PASS_TABLE_SIZE]; // numer hasa uytego do szyfrowania

        TVTT_Calc(OutDataA,OutDataB);                                       // policzenie bloku kontrolnego
        TVTT_CryptBlock(OutDataA,OutKey,SessionKey,TVTT_BLOCK_A,TVTT_PC2T); // zaszyfrowanie pierwszego bloku danych
        TVTT_CryptBlock(OutDataB,OutKey,SessionKey,TVTT_BLOCK_B,TVTT_PC2T); // zaszyfrowanie drugiego bloku danych
        Status=TVTT_Talk(TokenH,2,OutKey,OutDataA,OutDataB,&InKey,InDataA,InDataB);
        TVTT_CryptBlock(InDataA,InKey,SessionKey,TVTT_BLOCK_A,TVTT_T2PC);   // rozszyfrowanie pierwszego bloku danych
        TVTT_CryptBlock(InDataB,InKey,SessionKey,TVTT_BLOCK_B,TVTT_T2PC);   // rozszyfrowanie drugiego bloku danych

        if (Status)
            {
            printf("\t%X:%02X\n",Status>>8,Status&0xFF);
            break;
            };

        if (TVTT_Check(InDataA,InDataB))
            {
            printf("\tBlad bloku kontrolnego!\n");
            break;
            };

        if (!InKey)
            {   
            printf("\tWiadomosc nie zaszyfrowana!\n");                      // sprawdzenie czy wiadomo zaszyfrowana
            break;
            };
        
        if (InDataB[TVTTD_STATUS])
            {
            if (InDataB[TVTTD_STATUS]==TVTTS_ACCESS_EXPIRED)                // bd wyzerowanego licznika nie przerywa funkcji
                printf("\t!");
            else
                {
                printf("\t%X\n",InDataB[TVTTD_STATUS]);
                break;
                };
            }

        if (!InKey)
            {   
            printf("\t* Wiadomosc nie zaszyfrowana!\n");                    // sprawdzenie czy wiadomo zaszyfrowana
            break;
            };

        // rozszyfrowanie i wywietlenie stanu licznikw
        CopyMemory(tTmp,InDataA,16);
        rijndaelDecrypt(PassTbl+(((n*3)%TokenInfoTbl[TVTTTI_PASS_TABLE_SIZE])*16),tTmp); // zaszyfrowanie odczytanego stanu licznika

        printf("\t%02X: %02X%02X - ",n,tTmp[1],tTmp[0]);Print16(InDataA);

        n++;
        };
    if (n==TokenInfoTbl[TVTTTI_COUNTERS]) printf("\tOK\n");

    #include "..\ExCommon\Epilog.c"

    return(0);
};
