void     TVTTAPI_Initialize(void);

void     TVTTAPI_Randomize(MSG *Msg);
void     TVTTAPI_Rand(BYTE Random[16]);

void    *TVTTAPI_Open(BYTE Pass[16],DWORD OwnerID,BYTE OwnerMsk,BYTE Skip);
void     TVTTAPI_Close(BYTE Pass[16],void *hCon);

DWORD    TVTTAPI_GetFeature(BYTE Pass[16],void *hCon,DWORD FNr);

BYTE TVTTAPI_StartSession(BYTE Pass[16],void *hCon,BYTE PCPassNr);
void TVTTAPI_CalcPass(BYTE Pass[16],void *hCon,BYTE PassPC[16],BYTE PassT[16]);
void TVTTAPI_EndSession(BYTE Pass[16],void *hCon);

void TVTTAPI_RamRead(BYTE Pass[16],void *hCon,BYTE SNr,BYTE Buff[16]);
void TVTTAPI_RamWrite(BYTE Pass[16],void *hCon,BYTE SNr,BYTE Buff[16]);

void TVTTAPI_MemRead(BYTE Pass[16],void *hCon,BYTE SNr,BYTE Buff[16]);
void TVTTAPI_MemWrite(BYTE Pass[16],void *hCon,BYTE SNr,BYTE Buff[16]);
void TVTTAPI_MemWriteProtect(BYTE Pass[16],void *hCon,BYTE SNr,BYTE Buff[16]);
void TVTTAPI_MemProtect(BYTE Pass[16],void *hCon,BYTE SNr);

void TVTTAPI_Encrypt(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Buff[16]);
void TVTTAPI_Decrypt(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Buff[16]);

DWORD TVTTAPI_CounterRead(BYTE Pass[16],void *hCon,BYTE CNr);
DWORD TVTTAPI_CounterIncRead(BYTE Pass[16],void *hCon,BYTE CNr);
DWORD TVTTAPI_CounterDecRead(BYTE Pass[16],void *hCon,BYTE CNr);
void TVTTAPI_CounterIncEncryptRead(BYTE Pass[16],void *hCon,BYTE CNr,BYTE PNr,BYTE Buff[16]);
void TVTTAPI_CounterWrite(BYTE Pass[16],void *hCon,BYTE CNr,DWORD Value);

void TVTTAPI_CounterConfigWrite(BYTE Pass[16],void *hCon,BYTE CNr,BYTE Config0, BYTE Config1);
void TVTTAPI_CounterConfigSet(BYTE Pass[16],void *hCon,BYTE CNr,BYTE Config0, BYTE Config1);
void TVTTAPI_CounterConfigClear(BYTE Pass[16],void *hCon,BYTE CNr,BYTE Config0, BYTE Config1);

void TVTTAPI_PassWrite(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Buff[16]);
void TVTTAPI_PassConfigWrite(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Config0, BYTE Config1);
void TVTTAPI_PassConfigSet(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Config0, BYTE Config1);
void TVTTAPI_PassConfigClear(BYTE Pass[16],void *hCon,BYTE PNr,BYTE Config0, BYTE Config1);

BYTE * TVTTAPI_EncryptBlock(BYTE Pass[16], void*hCon, BYTE PNr, BYTE *Buff, DWORD Size, DWORD *OutSize);
BYTE * TVTTAPI_DecryptBlock(BYTE Pass[16], void*hCon, BYTE PNr, BYTE *Buff, DWORD *OutSize);
void TVTTAPI_FreeBlock(BYTE *Buff,DWORD Size);



